<?php
if (!defined('INSTALL_SEQUENCE')) {
    echo '<p>Illegal call. Terminating.</p>';
    exit();
}

require 'Template.php';

$msg = '';
$error = false;
$PDO = false;


// Create config.php template
$config_tmpl = new Template('config.tmpl');
$config_tmpl->assign($config);

// Get generated config.php
$config_content = $config_tmpl->fetch();

// Write config.php
if (!file_put_contents(CFG_FILE, $config_content)) {
    $error .= "<ul><li><strong>Config.php 無法寫入!</strong></li>\n";
}
else {
    $msg .= "<ul><li>Config.php 製作完成</li>\n";
}

if (false === $error) {
    // Include generated config.php
    require CFG_FILE;

    // If DB is SQLite, check that DB directory is writable.
    if (false === $error && $_POST['config']['db_driver'] == 'sqlite') {
        $sqlite_db = $_POST['config']['db_name'];

        if (false !== strrpos($sqlite_db, '/')) {
            $sqlite_dir = substr($sqlite_db, 0, strrpos($sqlite_db, '/'));
        }
        else {
            $sqlite_dir = substr($sqlite_db, 0, strrpos($sqlite_db, '\\'));
        }
        
        if (!file_exists($sqlite_db) && !is_writable($sqlite_dir)) {
            $error = 'Could not access the specified SQLite directory in order to create the SQLite DB.';
            file_put_contents(CFG_FILE, '');
        }

        if (file_exists($sqlite_db) && !is_writable($sqlite_db)) {
            $error = 'Could not access the specified SQLite DB.';
            file_put_contents(CFG_FILE, '');
        }
    }
    
    // Validate DB host
    $db_host = trim($_POST['config']['db_name']);
    if (empty($db_host)) {
        $error = '資料庫資訊遺失.';
        file_put_contents(CFG_FILE, '');
    }

    $ACTIVITYNAME = trim($_POST['config']['ACTIVITYNAME']);
    if (empty($ACTIVITYNAME)) {
        $error = 'ACTIVITYNAME網站全名資訊遺失.';
        file_put_contents(CFG_FILE, '');
    }
    $WEBNAME = trim($_POST['config']['WEBNAME']);
    if (empty($WEBNAME)) {
        $error = 'WEBNAME網站名稱資訊遺失.';
        file_put_contents(CFG_FILE, '');
    }
	
    $KEYWORDS = trim($_POST['config']['KEYWORDS']);
    if (empty($KEYWORDS)) {
        $error = 'KEYWORDS關鍵字資訊遺失.';
        file_put_contents(CFG_FILE, '');
    }
	
    $DESCRIPTION = trim($_POST['config']['DESCRIPTION']);
    if (empty($DESCRIPTION)) {
        $error = 'DESCRIPTION網站描述資訊遺失.';
        file_put_contents(CFG_FILE, '');
    }			

    $CONTACT_MAIL = trim($_POST['config']['CONTACT_MAIL']);
    if (empty($CONTACT_MAIL)) {
        $error = 'CONTACT_MAIL單位或管理者電子郵件資訊遺失.';
        file_put_contents(CFG_FILE, '');
    }
    $CONTACT_TEL = trim($_POST['config']['CONTACT_TEL']);
    if (empty($CONTACT_TEL)) {
        $error = 'CONTACT_TEL單位連絡電話或專線資訊遺失.';
        file_put_contents(CFG_FILE, '');
    }			

    $CONTACT_PHONE = trim($_POST['config']['CONTACT_PHONE']);
    if (empty($CONTACT_PHONE)) {
        $error = 'CONTACT_PHONE單位傳真或學校傳資訊遺失.';
        file_put_contents(CFG_FILE, '');
    }	
		
    $PROPERTY_SITE_NAME = trim($_POST['config']['PROPERTY_SITE_NAME']);
    if (empty($PROPERTY_SITE_NAME)) {
        $error = 'PROPERTY_SITE_NAME網站全名資訊遺失.';
        file_put_contents(CFG_FILE, '');
    }

    // Try creating a new PDO object to connect to DB
    if (false === $error) {
        try {
            $PDO = new PDO(DB_DSN, DB_USER, DB_PASS);
        } catch (PDOException $e) {
            $error = '無法連結資料庫<br />錯誤訊息: <p><strong>'. $e->getMessage() ."</strong></p>\n";
            file_put_contents(CFG_FILE, '');
        }
    }

    // Run the SQL to setup DB contents
    if (false === $error) {
        if ($PDO) {
            $msg .= '<li>已成功連結資料庫</li>';

            try {
                require_once 'schema_'.$_POST['config']['db_driver'].'.php';
            }
            catch (Exception $e) {
                $error = 'Could not create the database schema and has not been installed properly.<br />The following error has occured: <p><strong>'. $e->getMessage() ."</strong></p>\n";
            }

            try {
                $dbdriver = $_POST['config']['db_driver'];
                require_once 'sql_data.php';
            }
            catch (Exception $e) {
                $error = 'Could not create the default database contents and has not been installed properly.<br />The following error has occured: <p><strong>'. $e->getMessage() ."</strong></p>\n";
            }

            $msg .= '<li>資料庫建立完成</li></ul>
                     <p>可以 <a href="'.URL_PUBLIC.(USE_MOD_REWRITE ? '' : '').ADMIN_DIR.'">登入</a> : </p>
                    <p>
                        <strong>Login</strong> - transworld <br />
                        <strong>Password <sup>1)</sup></strong> - transworld
                     </p>
                    ';
        }
        else {
            $error = 'could not connect to the database and was unable to create its database tables!';
        }
    }
}
?>