<?php
if (!defined('INSTALL_SEQUENCE')) {
    echo '<p>Illegal call. Terminating.</p>';
    exit();
}

// Errors?
$errors = false;

// Check PHP version
$check = (PHP_VERSION >= '5.3.0');
$php = '<span class="'.($check ? 'check' : 'notcheck');
$php .= '">PHP '.PHP_VERSION.'</span>';
if (!$check) $errors = true;

// check if the PDO driver we need is installed
$check = false;
$check = class_exists('PDO',false);
$pdo = '<span class="'.(($check) ? 'check' : 'notcheck');
$pdo .= '">'.(($check) ? 'true' : 'false').'</span>';
if (!$check) $errors = true;

// Check if proper PDO drivers are available
$mcheck = false;
$scheck = false;
$pcheck = false;

if ($check) {
    $drivers = PDO::getAvailableDrivers();

    $mcheck = in_array('mysql', $drivers);
    $mysql = '<span class="'.($mcheck ? 'check' : 'notcheck').'">'.($mcheck ? 'true' : 'false').'</span>';

    $scheck = in_array('sqlite', $drivers);
    $sqlite = '<span class="'.($scheck ? 'check' : 'notcheck').'">'.($scheck ? 'true' : 'false').'</span>';

    $pcheck = in_array('pgsql', $drivers);
    $pgsql = '<span class="'.($pcheck ? 'check' : 'notcheck').'">'.($pcheck ? 'true' : 'false').'</span>';

    // Make sure EITHER MySQL, SQLite or PostgreSQL is supported
    if (!$mcheck && !$scheck && !$pcheck) $errors = true;
}
else {
    $mysql = '-- n/a --';
    $sqlite = '-- n/a --';
    $pgsql = '-- n/a --';
}

// Check existence of config file
$check = file_exists(CFG_FILE);
$cfg_exists = '<span class="'.((true === $check) ? 'check' : 'notcheck').'">'.((true === $check) ? 'true' : 'false').'</span>';
if (!$check) $errors = true;

// Check config file is writable
$check = is_writable(CFG_FILE);
$cfg_writable = '<span class="'.($check ? 'check' : 'notcheck').'">'.($check ? 'true' : 'false').'</span>';
if (!$check) $errors = true;

// Check public directory is writable
$check = is_writable(PUBLIC_ROOT);
$public_writable = '<span class="'.($check ? 'check' : 'notcheck').'">'.($check ? 'true' : 'false').'</span>';
if (!$check) $errors = true;

// Check public directory is writable
$check = is_writable(DOWNLOADS_ROOT);
$downloads_writable = '<span class="'.($check ? 'check' : 'notcheck').'">'.($check ? 'true' : 'false').'</span>';
if (!$check) $errors = true;

// Check public directory is writable
$check = is_writable(PHOTOS_ROOT);
$photos_writable = '<span class="'.($check ? 'check' : 'notcheck').'">'.($check ? 'true' : 'false').'</span>';
if (!$check) $errors = true;

// Check uploads_writable is writable
$check = is_writable(UPLOADS_ROOT);
$uploads_writable = '<span class="'.($check ? 'check' : 'notcheck').'">'.($check ? 'true' : 'false').'</span>';
if (!$check) $errors = true;

// Check public directory is writable
$check = is_dir(SQLITE_ROOT);
$sqlite_exists = '<span class="'.($check ? 'check' : 'notcheck').'">'.($check ? 'true' : 'false').'</span>';
if (!$check) $errors = true;

// Check public directory is writable
$check = is_writable(SQLITE_ROOT);
$sqlite_writable = '<span class="'.($check ? 'check' : 'notcheck').'">'.($check ? 'true' : 'false').'</span>';
if (!$check) $errors = true;

              
// Test for mod_rewrite availability (is not mandatory)
$check = false;
if (isset($_GET['rewrite']) && $_GET['rewrite'] == 1) {
    $check = true;
}
$modrewrite = '<span class="'.($check ? 'check' : 'warning').'">'.($check ? 'true' : 'not detected').'</span>';

// Test for HTTPS support, only possible if user goes to this page with https
$check = (isset($_SERVER['HTTPS']) && ($_SERVER['HTTPS'] == "on" || $_SERVER['HTTPS'] == "1"));
$https = '<span class="'.($check ? 'check' : 'notcheck').'">'.($check ? 'true' : 'false').'</span>';

?>

    <h1>安裝需求確認</h1>
    <p>
        <strong>required</strong>
    </p>
    <p>
        本程序需搭配: SQLite 3 資料庫
    </p>
    <table>
        <thead>
            <tr>
                <th id="requirement">安裝需求</th>
                <th>狀態?</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>PHP 5.1.2</td>
                <td class="available"><?php echo $php; ?></td>
            </tr>
            <tr>
                <td>PDO supports SQLite 3</td>
                <td class="available"><?php echo $sqlite; ?></td>
            </tr>
             <tr>
                <td>SQLite 3 資料夾(<?php echo SQLITE_ROOT; ?>)是否能被寫入</td>
                <td class="available"><?php echo $sqlite_exists; ?>/<?php echo $sqlite_writable; ?></td>
            </tr>           
            <tr>
                <td>設定檔Config.php是否存在<sup>1)</sup></td>
                <td class="available"><?php echo $cfg_exists; ?></td>
            </tr>
            <tr>
                <td>設定檔Config.php是否能被寫入(0666)<sup>1)</sup></td>
                <td class="available"><?php echo substr(sprintf('%o', fileperms(CFG_FILE)), -4); ?>/<?php echo $cfg_writable; ?></td>
            </tr>
            <tr>
                <td>Public目錄是否能被寫入<sup>2)</sup></td>
                <td class="available"><?php echo substr(sprintf('%o', fileperms(PUBLIC_ROOT)), -4); ?>/<?php echo $public_writable; ?></td>
            </tr>
            <tr>
                <td>downloads目錄是否能被寫入<sup>3)</sup></td>
                <td class="available"><?php echo substr(sprintf('%o', fileperms(DOWNLOADS_ROOT)), -4); ?>/<?php echo $downloads_writable; ?></td>
            </tr>
            <tr>
                <td>photos目錄是否能被寫入<sup>4)</sup></td>
                <td class="available"><?php echo substr(sprintf('%o', fileperms(PHOTOS_ROOT)), -4); ?>/<?php echo $photos_writable; ?></td>
            </tr>
            <tr>
                <td>uploads目錄是否能被寫入<sup>5)</sup></td>
                <td class="available"><?php echo substr(sprintf('%o', fileperms(UPLOADS_ROOT)), -4); ?>/<?php echo $uploads_writable; ?></td>
            </tr>                                          
        </tbody>
    </table>
    <p class="footnotes">
        <sup>*)</sup> - "SQLite 3 目錄(sectionsqlitedatebase)" 請放置於根目錄之外../<br/>
        <sup>1)</sup> - "config.php" 請放置於安裝根目錄(請將config.ini.php更名為config.php).<br/>
        <sup>2)</sup> - "Public目錄" 請放置於安裝根目錄.<br/>
        <sup>3)</sup> - "downloads目錄" 請放置於安裝根目錄.<br/>
        <sup>4)</sup> - "photos目錄" 請放置於安裝根目錄.<br/>
        <sup>5)</sup> - "uploads目錄" 請放置於安裝根目錄.<br/>                     
    </p>

    <p>
        <form style="text-align: right;" action="index.php" method="POST">
        <?php
        if ($errors) {
            echo '請修正上述 false <button type="submit">檢查一次</button>';
        } else {
            if (file_exists(CFG_FILE) && filesize(CFG_FILE) == 0) {
                if ($scheck && !$mcheck && !$pcheck)
                    echo '<input type="hidden" name="dbtype" value="sqlite"/>';
                else if ($mcheck && !$scheck && !$pcheck)
                    echo '<input type="hidden" name="dbtype" value="mysql"/>';
                else if ($pcheck && !$mcheck && !$scheck)
                    echo '<input type="hidden" name="dbtype" value="pgsql"/>';
                echo '<button name="install" type="submit" value="1">開始安裝</button>';
            }
        }
        ?>
        </form>
    </p>
