<?php
/* Make sure we've been called using index.php */
if (!defined('INSTALL_SEQUENCE')) {
    echo '<p>Illegal call. Terminating.</p>';
    exit();
}

// Table structure for table: organization-----------------------------------
$PDO->exec("DROP TABLE IF EXISTS organization");
$PDO->exec("CREATE TABLE `organization` (
  ID INTEGER PRIMARY KEY,
  isDisplay TEXT CHECK( isDisplay IN ('true','false') ) NOT NULL DEFAULT 'true',  
  SortNum INTEGER,
  Name TEXT CHECK( LENGTH( Name) <= 100 ) NULL DEFAULT NULL,
  AdminID INTEGER,
  UpdateTime datetime NOT NULL)");
  
// Table structure for table: program-----------------------------------
$PDO->exec("DROP TABLE IF EXISTS program");
$PDO->exec("CREATE TABLE `program` ( ID INTEGER PRIMARY KEY, isDisplay TEXT CHECK( isDisplay IN ('true','false') ) NOT NULL DEFAULT 'true', SortNum INTEGER, Name TEXT CHECK( LENGTH( Name) <= 100 ) NULL DEFAULT NULL,FontAwesome TEXT DEFAULT NULL, url TEXT DEFAULT NULL, Version TEXT CHECK( LENGTH( Version) <= 30 ), Description TEXT DEFAULT NULL, AdminID INTEGER, UpdateTime datetime NOT NULL)"); 

// Table structure for table: parameters-----------------------------------
$PDO->exec("DROP TABLE IF EXISTS parameters");
$PDO->exec("CREATE TABLE parameters (ID INTEGER PRIMARY KEY,
Class TEXT CHECK( LENGTH(Class) <= 20 ) NULL DEFAULT NULL,
Vaule TEXT CHECK( LENGTH(Vaule) <= 20 ) NULL DEFAULT NULL,
Text TEXT CHECK( LENGTH(Text) <= 100 ) NULL DEFAULT NULL,
Note TEXT CHECK( LENGTH(Note) <= 100 ) NULL DEFAULT NULL,
AdminID INTEGER,UpdateTime datetime NOT NULL)");


// Table structure for table: admin-----------------------------------
$PDO->exec("DROP TABLE IF EXISTS admin");
$PDO->exec("CREATE TABLE `admin` (
  ID INTEGER PRIMARY KEY,
  Username TEXT CHECK( LENGTH( Username) <= 100 ) NULL DEFAULT NULL,
  Password  TEXT CHECK( LENGTH( Password) <= 100 ) NULL DEFAULT NULL,
  Name  TEXT CHECK( LENGTH( Name) <= 100 ) NULL DEFAULT NULL,
  Phone TEXT NULL DEFAULT NULL,
  Email TEXT NULL DEFAULT NULL,
  AdminLevel  TEXT CHECK( LENGTH( AdminLevel) <= 100 ) NULL DEFAULT NULL,
  Groups  TEXT CHECK( LENGTH(Groups) <= 100 ) NULL DEFAULT NULL,
  isLogin TEXT CHECK( isLogin IN ('true','false') ) NOT NULL DEFAULT 'true',    
  ChangePwdDate datetime,
  logined INTEGER,
  chkid TEXT CHECK( LENGTH( chkid) <= 25 ) NULL DEFAULT NULL,
  StayTime datetime,
  ssid TEXT CHECK( LENGTH( ssid) <= 40 ) NULL DEFAULT NULL,
  AdminID INTEGER,
  UpdateTime datetime NOT NULL)");
  
// Table structure for table: webstructure-----------------------------------
$PDO->exec("DROP TABLE IF EXISTS webstructure");
$PDO->exec("CREATE TABLE 'webstructure' (
  ID INTEGER PRIMARY KEY,
  configStructure TEXT CHECK( LENGTH( configStructure) <= 100 ) NULL DEFAULT 'DEFAULT',
  parentID INTEGER NOT NULL DEFAULT '0',
  isDisplay TEXT CHECK( isDisplay IN ('true','false') ) NOT NULL DEFAULT 'true',
  isWrite TEXT CHECK( isWrite IN ('true','false') ) NOT NULL DEFAULT 'false',
  SortNum INTEGER, Name TEXT CHECK( LENGTH( Name) <= 100 ) NULL DEFAULT NULL,
  FontAwesome TEXT DEFAULT NULL, configTemplate TEXT CHECK( LENGTH( configTemplate) <= 100 ) NULL DEFAULT NULL,
  Description TEXT DEFAULT NULL,
  Groups TEXT DEFAULT NULL,
  AdminID INTEGER,
  UpdateTime datetime NOT NULL)");  

// Table structure for table: webstructure-----------------------------------
$PDO->exec("DROP TABLE IF EXISTS webstructure_data");
$PDO->exec("CREATE TABLE `webstructure_data` ( ID INTEGER PRIMARY KEY, 
parentID INTEGER,
isDisplay TEXT CHECK( isDisplay IN ('true','false') ) NOT NULL DEFAULT 'true',
SortNum INTEGER,
title TEXT DEFAULT NULL,
path TEXT DEFAULT NULL,
format TEXT DEFAULT NULL, 
Groups INTEGER,
AdminID INTEGER,
UpdateTime datetime NOT NULL)"); 

// Table structure for table: deanData-----------------------------------
$PDO->exec("DROP TABLE IF EXISTS deanData");
$PDO->exec("CREATE TABLE 'deanData' (
 ID INTEGER PRIMARY KEY,
 parentID INTEGER,
 fillID INTEGER,
SortNum INTEGER, 
 isDisplay TEXT CHECK( isDisplay IN ('true','false') ) NOT NULL DEFAULT 'true',
 Dataclass TEXT CHECK( LENGTH( Dataclass ) <= 100 ) NULL DEFAULT NULL,
Name TEXT DEFAULT NULL, 
Title TEXT DEFAULT NULL,
Note TEXT DEFAULT NULL,
 StartDate date NOT NULL default '0000-00-00',
 EndDate date NOT NULL default '0000-00-00',
 AdminID INTEGER, UpdateTime datetime NOT NULL)"); 


// Table structure for table: deanBrief-----------------------------------
//新增 SortNum INTEGER,
$PDO->exec("DROP TABLE IF EXISTS deanBrief");
$PDO->exec("CREATE TABLE 'deanBrief' (
ID INTEGER PRIMARY KEY,
 parentID INTEGER,
 isDisplay TEXT CHECK( isDisplay IN ('true','false') ) NOT NULL DEFAULT 'true',
imgOrig TEXT DEFAULT NULL,
TwName TEXT DEFAULT NULL,
EnName TEXT DEFAULT NULL,
SortNum INTEGER,
organization TEXT DEFAULT NULL,
jobtitle TEXT DEFAULT NULL,
officeTel TEXT DEFAULT NULL,
LabTel TEXT DEFAULT NULL,
department TEXT DEFAULT NULL,
deanEmail TEXT DEFAULT NULL,
deanWeb TEXT DEFAULT NULL,
AdminID INTEGER,
UpdateTime datetime NOT NULL)");

// Table structure for table: advertisement-----------------------------------
$PDO->exec("DROP TABLE IF EXISTS advertisement");
$PDO->exec("CREATE TABLE `advertisement` (
 ID INTEGER PRIMARY KEY,
 isDisplay TEXT CHECK( isDisplay IN ('true','false') ) NOT NULL DEFAULT 'true',
 linksclass TEXT CHECK( LENGTH( linksclass ) <= 100 ) NULL DEFAULT NULL,
 SortNum INTEGER,
 Name TEXT CHECK( LENGTH( Name) <= 100 ) NULL DEFAULT NULL,
 Note TEXT DEFAULT NULL,
 FontAwesome TEXT DEFAULT NULL,
 url TEXT DEFAULT NULL,
 imgOrig TEXT DEFAULT NULL,
 StartDate date NOT NULL default '0000-00-00',
 EndDate date NOT NULL default '0000-00-00',
 AdminID INTEGER,
 UpdateTime datetime NOT NULL)");
 
  
// Table structure for table: linksBrief-----------------------------------
$PDO->exec("DROP TABLE IF EXISTS linksBrief");
$PDO->exec("CREATE TABLE 'linksBrief' (
ID INTEGER PRIMARY KEY,
parentID INTEGER,
isDisplay TEXT CHECK( isDisplay IN ('true','false') ) NOT NULL DEFAULT 'true',
linkstype TEXT DEFAULT NULL,
linksclass TEXT DEFAULT NULL,
AdminID INTEGER,
UpdateTime datetime NOT NULL)");  
  
// Table structure for table: linksData-----------------------------------
$PDO->exec("DROP TABLE IF EXISTS linksData");
$PDO->exec("CREATE TABLE 'linksData' ( ID INTEGER PRIMARY KEY, parentID INTEGER, isDisplay TEXT CHECK( isDisplay IN ('true','false') ) NOT NULL DEFAULT 'true', SortNum INTEGER, linkstype TEXT DEFAULT NULL, linksclass TEXT DEFAULT NULL, Title TEXT DEFAULT NULL, Note TEXT DEFAULT NULL, StartDate date NOT NULL default '0000-00-00', path1 TEXT DEFAULT NULL, format1 TEXT DEFAULT NULL, path2 TEXT DEFAULT NULL, format2 TEXT DEFAULT NULL, AdminID INTEGER, UpdateTime datetime NOT NULL)"); 
  
// Table structure for table: qandaBrief-----------------------------------
$PDO->exec("DROP TABLE IF EXISTS qandaBrief");
$PDO->exec("CREATE TABLE 'qandaBrief' ( ID INTEGER PRIMARY KEY, parentID INTEGER, isDisplay TEXT CHECK( isDisplay IN ('true','false') ) NOT NULL DEFAULT 'true', qandaclass TEXT DEFAULT NULL, AdminID INTEGER, UpdateTime datetime NOT NULL)"); 


// Table structure for table: qandaData-----------------------------------
$PDO->exec("DROP TABLE IF EXISTS qandaData");
$PDO->exec("CREATE TABLE 'qandaData' ( ID INTEGER PRIMARY KEY, parentID INTEGER, isDisplay TEXT CHECK( isDisplay IN ('true','false') ) NOT NULL DEFAULT 'true', SortNum INTEGER,qandasclass TEXT DEFAULT NULL, Title TEXT DEFAULT NULL, Note TEXT DEFAULT NULL, Answer TEXT DEFAULT NULL, AnswerNote TEXT DEFAULT NULL, Groups TEXT DEFAULT NULL, AdminID INTEGER, UpdateTime datetime NOT NULL)");

// Table structure for table: albumSetup-----------------------------------
$PDO->exec("DROP TABLE IF EXISTS albumSetup");
$PDO->exec("CREATE TABLE 'albumSetup' ( ID INTEGER PRIMARY KEY, parentID INTEGER, isDisplay TEXT CHECK( isDisplay IN ('true','false') ) NOT NULL DEFAULT 'true', albumclass TEXT DEFAULT NULL, AdminID INTEGER, UpdateTime datetime NOT NULL)");


// Table structure for table: albumBrief-----------------------------------
$PDO->exec("DROP TABLE IF EXISTS albumBrief");
$PDO->exec("CREATE TABLE 'albumBrief' ( ID INTEGER PRIMARY KEY, parentID INTEGER, isDisplay TEXT CHECK( isDisplay IN ('true','false') ) NOT NULL DEFAULT 'true', SortNum INTEGER, albumclass TEXT DEFAULT NULL, Name TEXT DEFAULT NULL, Note TEXT DEFAULT NULL, Intro TEXT DEFAULT NULL, imgOrig TEXT DEFAULT NULL, StartDate date NOT NULL default '0000-00-00', EndDate date NOT NULL default '0000-00-00', Groups TEXT DEFAULT NULL, AdminID INTEGER, UpdateTime datetime NOT NULL)");


// Table structure for table: albumData-----------------------------------
$PDO->exec("DROP TABLE IF EXISTS albumData");
$PDO->exec("CREATE TABLE 'albumData' ( ID INTEGER PRIMARY KEY, parentID INTEGER, isDisplay TEXT CHECK( isDisplay IN ('true','false') ) NOT NULL DEFAULT 'true', SortNum INTEGER, Name TEXT DEFAULT NULL, Note TEXT DEFAULT NULL, imgOrig TEXT DEFAULT NULL, AdminID INTEGER, UpdateTime datetime NOT NULL)");
?>